Subject: Re: [PATCH v6 0/2] Add support for sending additional HTTP headers

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 May 2016 00:36:00 -0700

Jeff King <[email-masked]> writes:

>>   submodule: pass on http.extraheader config settings
>
> IMHO this should come on top of jk/submodule-config-sanitize-fix (I was
> surprised at first that your test worked at all, but that is because it
> is using "clone", which is the one code path that works).

Yes.

> But I think we are waiting on going one of two paths:
>
>   1. drop sanitizing entirely
>
>   2. fix sanitizing and add more variables to it
>
> If we go the route of (2), then we'd want my fix topic and this patch.
> And if not, then we don't need any of it (just a patch dropping the
> filtering, which AFAIK nobody has written yet).

Doubly yes.  That is why I didn't pick up 2/2 in the previous round
and also jk/submodule-config-sanitize-fix is not in 'next' for the
same reason.

I agree with you that we have not yet reached concensus on which one
of the two we would want to take.  I was sort of surprised to see
2/2 sent again, after seeing that Dscho sounded strongly in favor of
not filtering the passed configuration variables, which would make
the patch unnecessary.